Summary:	Video games for GNOME
Summary(pl.UTF-8):	Gry wideo dla GNOME
Name:		gnome-games
Version:	40.0
Release:	2
Epoch:		1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/gnome-games/40/%{name}-%{version}.tar.xz
# Source0-md5:	c39e68fa7e42ca0b9377de3f6af206eb
URL:		https://wiki.gnome.org/Apps/Games
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.38
BuildRequires:	grilo-devel >= 0.3
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	libarchive-devel
BuildRequires:	libhandy1-devel >= 1.1.90
BuildRequires:	libmanette-devel >= 0.2.0
BuildRequires:	librsvg-devel >= 1:2.46
BuildRequires:	libsoup-devel >= 2.4
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	retro-gtk-devel >= 1.0
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	tar >= 1:1.22
BuildRequires:	tracker-devel >= 2.0
BuildRequires:	vala >= 2:0.15.1
BuildRequires:	vala-grilo >= 0.3
BuildRequires:	vala-libhandy1 >= 1.1.90
BuildRequires:	vala-libmanette >= 0.2.0
BuildRequires:	vala-librsvg >= 1:2.46
BuildRequires:	vala-retro-gtk >= 1.0
BuildRequires:	vala-tracker >= 2.0
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.38
Requires:	glib2-devel >= 1:2.38
Requires:	hicolor-icon-theme
Requires:	libhandy1 >= 1.1.90
Requires:	librsvg >= 1:2.46
Requires:	retro-gtk >= 1.0
# requires "rusted" librsvg
ExclusiveArch:	%{x8664} %{ix86} x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Games is a GNOME 3 application to browse your video games library and
to easily pick and play a game from it. It aims to do for games what
Music already does for your music library.

%description -l pl.UTF-8
GNOME Games to aplikacja GNOME 3 do przeglądania biblioteki gier wideo
i łatwego wybierania gier i grania w nie. Celem jest, aby robić z
grami to, co GNOME Music robi z biblioteką muzyczną.

%package search-provider
Summary:	GNOME Games search provider for GNOME Shell
Summary(pl.UTF-8):	Usługa wyszukiwania GNOME Games dla powłoki GNOME
Group:		X11/Applications/Games
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gnome-shell >= 3

%description search-provider
GNOME Games search provider for GNOME Shell.

%description search-provider -l pl.UTF-8
Usługa wyszukiwania GNOME Games dla powłoki GNOME.

%prep
%setup -q

%build
%meson build \
	-Dmame-plugin=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-games
%dir %{_libdir}/gnome-games
%dir %{_libdir}/gnome-games/plugins
%attr(755,root,root) %{_libdir}/gnome-games/plugins/libgames-*-plugin.so
%{_libdir}/gnome-games/plugins/*.plugin
%{_datadir}/dbus-1/services/org.gnome.Games.service
%{_datadir}/glib-2.0/schemas/org.gnome.Games.gschema.xml
%{_datadir}/gnome-games
%{_datadir}/metainfo/org.gnome.Games.appdata.xml
%{_desktopdir}/org.gnome.Games.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Games.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Games-symbolic.svg

%files search-provider
%defattr(644,root,root,755)
%attr(755,roor,root) %{_libexecdir}/gnome-games-search-provider
%{_datadir}/dbus-1/services/org.gnome.Games.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Games.SearchProvider.ini
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-games.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 19e8122
- rebuild with separate debuginfo build-ids

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> 85d86a5
- updated to 40.0

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 8919286
- epoch fix, release 2

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> ee533ec
- allow x32

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> e95942b
- updated to 3.38.0 (uses retro-gtk 1.0)
- added -search-provider subpackage with gnome-shell search provider

* Fri Apr 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 0c66b1d
- now requires librsvg 2.46 (for get_intrinsic_dimensions), added EA with working rust

* Fri Apr 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 9de7d03
- updated to 3.36.1

* Thu Nov 28 2019 Jakub Bogusz <qboosh@pld-linux.org> a96b450
- overwritten by current GNOME Games app (games library)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> c198a08
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 4bf2fee
- updated gettext BR

* Wed Oct 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> e4e79c9
- Updated to 3.6.1

* Sat Oct 13 2012 Marcin Banasiak <marcin.banasiak@gmail.com> a8f407c
- Updated to 3.6.0.2

* Sun May 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> c902407
- updated to 3.4.2

* Tue Apr 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> f74d7c2
- updated to 3.4.1

* Wed Mar 28 2012 Marcin Banasiak <marcin.banasiak@gmail.com> a49ddc2
- obsolete

* Wed Mar 28 2012 Marcin Banasiak <marcin.banasiak@gmail.com> f330800
- updated to 3.4.0; merged changes from DEVEL

* Tue Mar 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c733b9
- release 2

* Wed Oct 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2a1ba17
- updated to 3.2.1

* Sun Oct 02 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 0c2cb79
- updated to 3.2.0
- sol is now provided by aisleriot.spec

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3bc22a4
- release 2

